//Define the SIP wrapper to the pictureflow widget
//Author - Tyler Distad

%Module pictureflow 1

%Import QtCore/QtCoremod.sip
%Import QtGui/QtGuimod.sip

class PictureFlow : QWidget  {

%TypeHeaderCode
#include "pictureflow.h"
%End


public :    
  PictureFlow(QWidget *parent /TransferThis/ = 0);
  QColor backgroundColor() const;
  void setBackgroundColor(const QColor& c);
  QSize slideSize() const;
  void setSlideSize(QSize size);
  int slideCount() const;
  QImage slide(int index) const;
  int centerIndex() const;
  unsigned int reflectionEffect() const;
  void setReflectionEffect(unsigned int effect);

public slots:
  void addSlide(const QImage& image);
  void addSlide(const QPixmap& pixmap);
  void setSlide(int index, const QImage& image);
  void setSlide(int index, const QPixmap& pixmap);
  void setCenterIndex(int index);
  void clear();
  void showPrevious();
  void showNext();
  void showSlide(int index);  
  void render();
  void triggerRender();

signals:
  void centerIndexChanged(int index);
  
  
protected:
  void paintEvent(QPaintEvent *event);
  void keyPressEvent(QKeyEvent* event);
  void mousePressEvent(QMouseEvent* event);
  void resizeEvent(QResizeEvent* event);
  
private slots:
  void updateAnimation();
};
